proxy_cache_path /var/nginx/cache levels=1:2 keys_zone=app_cache:10m max_size=5g inactive=24h use_temp_path=off;

server {
    listen 80;

    location / {
        proxy_cache app_cache;
        proxy_cache_valid 24h;
        proxy_cache_valid 404 1m;
        proxy_cache_key "$host$request_uri$http_accept";
        proxy_pass       http://imaginary-adapter:9000;
        proxy_redirect     off;
    }
}
